Sie sind nicht angemeldet.

Anzeigen

**Wir werden in den kommenden Tagen einen Umzug auf einen neuen Server durchführen. Im Rahmen dieser Maßnahme wird das Forum ca. 1 Stunde nicht erreichbar sein.** nslu2-info.de ist ein privates Projekt von mir, welches jeden Monat aus eigener Tasche finanziert wird. Mit einer freiwilligen Spende wird der Erhalt und der weitere Ausbau dieses Forums unterstützt. Um mich beim Erhalt des Forums zu unterstützen, kannst Du entweder via Flattr oder Paypal spenden. Ich bedanke mich schon jetzt bei allen Unterstützern.

Lieber Besucher, herzlich willkommen bei: Die NSLU2 Community****wenns ums speichern und streamen geht****. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

stingl

Anfänger

  • »stingl« ist der Autor dieses Themas

Beiträge: 18

Firmwareversion / your current Firmware: Unslung 3.16

Wohnort: Bremen

  • Nachricht senden

1

12.07.2006, 00:05

(gelöst) Perl ?

Moin Zusammen,

ich habe heut Abend versucht, ein schönes Backup-Script (rsnapshot) auf meiner Slug zu installieren. Das 'make' für rsnapshot und ebenso rsnapshot selbst benötigen perl.

Über IPKG list *perl* finde ich nur ein microperl genanntes Programm, das offenbar nicht komplett zu Perl kompatibel ist.

Perl ist doch sehr verbreitet, der Begriff taucht hier im Forum auch immer wieder auf - welches Perl installiert ihr bei euch auf die Slug?

danke schonmal

Anzeigen

Eiffel

Profi

Beiträge: 619

Beruf: SAP Anwendungsbetreuer

  • Nachricht senden

2

12.07.2006, 12:24

ipkg list_installed | grep perl
perl - 5.8.6-3 - perl language interpreter

Anzeigen

stingl

Anfänger

  • »stingl« ist der Autor dieses Themas

Beiträge: 18

Firmwareversion / your current Firmware: Unslung 3.16

Wohnort: Bremen

  • Nachricht senden

3

15.07.2006, 12:47

Hallo Eiffel,

danke für Deine fixe Antwort. Leider hilft mir das noch nicht weiter.

- den Befehl list_installed kennt mein ipkg nicht (auch nicht mit Leerzeichen statt Unterstrich). Ich habe stattdessen nochmal mit ipkg list * | grep perl auf meiner Kiste nachgefragt. Raus kommt:

microperl - 5.8.6-3 - perl language interpreter

Das micro vorne ist offenbar entscheidend. Hast Du das bei Dir nicht stehen?
microperl legt bei mir statt eines Befehls perl den Befehl microperl an. Ich habe auch schon mit Hife ln -s ein perl angelegt und auf microperl verlinkt; allein das make schlägt mit einem bösen Fehler aus dem Perl heraus auf...

caplink811

Forensupporter

Beiträge: 2 200

Verwendetes NAS-Device: 64X2/8GB/Ubuntu10.04LTS

Firmwareversion / your current Firmware: anderes

Wohnort: Berlin

Beruf: TK/IT Consulting and Engineering

  • Nachricht senden

4

15.07.2006, 20:34

N'Abend,

Du nutzt eine antike (<4.x) Unslung Version... Das ist aber nicht das Problem, ipkg update hast Du aber schonmal durchgeführt?

bye
JrB
"Supporting joe users worldwide" <- that's our motto


stingl

Anfänger

  • »stingl« ist der Autor dieses Themas

Beiträge: 18

Firmwareversion / your current Firmware: Unslung 3.16

Wohnort: Bremen

  • Nachricht senden

5

15.07.2006, 22:53

Antik... ! Ok.
ipkg update habe ich schon mehrmals durchgeführt. Hast Du denn 'echtes' perl bei Dir installiert?

Könnte vielleicht doch sein, daß ich updaten sollte!?

P.S: ipkg version 0.99.130

und:

# ipkg install ipkg
Package ipkg (0.99.130-r1) installed in root is up to date.

stingl

Anfänger

  • »stingl« ist der Autor dieses Themas

Beiträge: 18

Firmwareversion / your current Firmware: Unslung 3.16

Wohnort: Bremen

  • Nachricht senden

6

15.07.2006, 23:46

Habe jetzt noch etwas ausprobiert.

Package: ctcs
Version: 1.0a-3
Depends: perl

Das Paket benötigt also Perl!

# ipkg install ctcs
Installing ctcs (1.0a-3) to root...
Downloading http://ipkg.nslu2-linux.org/feeds/unslun….0a-3_armeb.ipk
ERROR: Cannot satisfy the following dependencies for ctcs:
perl
An error ocurred, return value: 1.
#


Hm, ihm fehlt Perl und nachinstallieren geht wohl nicht. Ich werde daraus nicht wirklich Schlau.

Jetzt aber ab ins Bett...

caplink811

Forensupporter

Beiträge: 2 200

Verwendetes NAS-Device: 64X2/8GB/Ubuntu10.04LTS

Firmwareversion / your current Firmware: anderes

Wohnort: Berlin

Beruf: TK/IT Consulting and Engineering

  • Nachricht senden

7

16.07.2006, 12:02

Moin,

Wenn es nicht anders geht,

cd /beliebiges_Verzeichnis; wget http://ipkg.nslu2-linux.org/feeds/unslun….6-3_armeb.ipk; ipkg install perl_5.8.6-3_armeb.ipk

Das sollte auf jeden Fall funktionieren.

bye
JrB
"Supporting joe users worldwide" <- that's our motto


stingl

Anfänger

  • »stingl« ist der Autor dieses Themas

Beiträge: 18

Firmwareversion / your current Firmware: Unslung 3.16

Wohnort: Bremen

  • Nachricht senden

8

16.07.2006, 15:06

Moin Caplink,

100 Punkte. Perl liess sich auf diese Weise installieren.

mein IPKG verweist auf .../unslung/unstable/.... Dein Pfad auf /unslung/native/...

Herzlichen Dank!

stingl

Social Bookmarks